MethodFilterTransformer (cglib (Version 2.2.2))
Date: 2016-02-03

net.sf.cglib.transform

## Class MethodFilterTransformer

- java.lang.Object
- - org.objectweb.asm.ClassAdapter
  - - net.sf.cglib.transform.AbstractClassTransformer
    - - net.sf.cglib.transform.MethodFilterTransformer

- All Implemented Interfaces:
    ClassTransformer, org.objectweb.asm.ClassVisitor

      public class MethodFilterTransformer
      extends AbstractClassTransformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodFilterTransformer(MethodFilter filter, ClassTransformer pass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setTarget(org.objectweb.asm.ClassVisitor target)`
    `org.objectweb.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`

    - ### Methods inherited from class org.objectweb.asm.ClassAdapter

      `visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitOuterClass, visitSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.objectweb.asm.ClassVisitor

      `visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitOuterClass, visitSource`

- - ### Constructor Detail

    - #### MethodFilterTransformer

          public MethodFilterTransformer(MethodFilter filter,
                                 ClassTransformer pass)

  - ### Method Detail

    - #### visitMethod

          public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                    java.lang.String name,
                                                    java.lang.String desc,
                                                    java.lang.String signature,
                                                    java.lang.String[] exceptions)

      Specified by:
        `visitMethod` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitMethod` in class `org.objectweb.asm.ClassAdapter`

    - #### setTarget

          public void setTarget(org.objectweb.asm.ClassVisitor target)

      Specified by:
        `setTarget` in interface `ClassTransformer`
      Overrides:
        `setTarget` in class `AbstractClassTransformer`

Copyright (c) 2001 - Apache Software Foundation